
Foreman - Bug #6886

User should not be allowed to create OS with same name and version

08/01/2014 10:15 AM - Dominic Cleal

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Rails   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1120985 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1962

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1120985

Description of problem:

I was trying to create OS with name RedHat and version 6.5. Later, I realized OS was already there with same name and version. I

think UI should throw some error message that "OS Name with same version has already been taken"

I think we can't uniqueify OS just on the basis of name. As OS can be of same name but with diff versions.

Version-Release number of selected component (if applicable):

sat6 GA snap1

How reproducible:

always

Steps to Reproduce:

1. create a OS with name RedHat and major/minor version: 6/5

2. create another OS with same name and version.

3.

Actual results:

UI allows use to create OS with same name and version

Expected results:

UI should throw error if one OS already there with same name and version

Additional info:

Related issues:

Is duplicate of Foreman - Bug #7743: Duplicate OSes can be created Closed 09/29/2014

History

#1 - 08/01/2014 10:16 AM - Dominic Cleal

- Category set to Rails

#2 - 11/19/2014 03:43 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#3 - 11/19/2014 04:52 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1962 added

- Pull request deleted ()
#4 - 11/19/2014 09:52 AM - Shlomi Zadok

This is a duplicate of #7743

And there is a pending PR for this for a long time at https://github.com/theforeman/foreman/pull/1885

#5 - 11/25/2014 04:23 AM - Dominic Cleal

- Is duplicate of Bug #7743: Duplicate OSes can be created added

#6 - 11/25/2014 04:23 AM - Dominic Cleal

- Status changed from Ready For Testing to Duplicate

- Assignee deleted (Tomer Brisker)
